org.eclipse.emf.cdo.eresource.util

## Class EresourceSwitch<T>

- java.lang.Object
- - org.eclipse.emf.cdo.eresource.util.EresourceSwitch<T>

-     public class EresourceSwitch<T>
      extends java.lang.Object

  The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.
  See Also:
    `EresourcePackage`
  Generated

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static EresourcePackage` | `modelPackage` The cached model package

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EresourceSwitch()` Creates an instance of the switch.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `caseCDOBinaryResource(CDOBinaryResource object)` Returns the result of interpreting the object as an instance of 'CDO Binary Resource'.
    `<IO> T` | `caseCDOFileResource(CDOFileResource<IO> object)` Returns the result of interpreting the object as an instance of 'CDO File Resource'.
    `T` | `caseCDOResource(CDOResource object)` Returns the result of interpreting the object as an instance of 'CDO Resource'.
    `T` | `caseCDOResourceFolder(CDOResourceFolder object)` Returns the result of interpreting the object as an instance of 'CDO Resource Folder'.
    `T` | `caseCDOResourceLeaf(CDOResourceLeaf object)` Returns the result of interpreting the object as an instance of 'CDO Resource Leaf'.
    `T` | `caseCDOResourceNode(CDOResourceNode object)` Returns the result of interpreting the object as an instance of 'CDO Resource Node'.
    `T` | `caseCDOTextResource(CDOTextResource object)` Returns the result of interpreting the object as an instance of 'CDO Text Resource'.
    `T` | `defaultCase(EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.
    `protected T` | `doSwitch(EClass theEClass, EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
    `T` | `doSwitch(EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
    `protected T` | `doSwitch(int classifierID, EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static EresourcePackage modelPackage

      The cached model package
      Generated

  - ### Constructor Detail

    - #### EresourceSwitch

          public EresourceSwitch()

      Creates an instance of the switch.
      Generated

  - ### Method Detail

    - #### doSwitch

          public T doSwitch(EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.
      Generated

    - #### doSwitch

          protected T doSwitch(EClass theEClass,
                               EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.
      Generated

    - #### doSwitch

          protected T doSwitch(int classifierID,
                               EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.
      Generated

    - #### caseCDOResourceNode

          public T caseCDOResourceNode(CDOResourceNode object)

      Returns the result of interpreting the object as an instance of 'CDO Resource Node'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'CDO Resource Node'.
      Since:
        2.0
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseCDOResourceFolder

          public T caseCDOResourceFolder(CDOResourceFolder object)

      Returns the result of interpreting the object as an instance of 'CDO Resource Folder'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'CDO Resource Folder'.
      Since:
        2.0
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseCDOResource

          public T caseCDOResource(CDOResource object)

      Returns the result of interpreting the object as an instance of 'CDO Resource'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'CDO Resource'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseCDOResourceLeaf

          public T caseCDOResourceLeaf(CDOResourceLeaf object)

      Returns the result of interpreting the object as an instance of 'CDO Resource Leaf'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'CDO Resource Leaf'.
      Since:
        4.1
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseCDOFileResource

          public <IO> T caseCDOFileResource(CDOFileResource<IO> object)

      Returns the result of interpreting the object as an instance of 'CDO File Resource'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'CDO File Resource'.
      Since:
        4.1
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseCDOBinaryResource

          public T caseCDOBinaryResource(CDOBinaryResource object)

      Returns the result of interpreting the object as an instance of 'CDO Binary Resource'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'CDO Binary Resource'.
      Since:
        4.1
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseCDOTextResource

          public T caseCDOTextResource(CDOTextResource object)

      Returns the result of interpreting the object as an instance of 'CDO Text Resource'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'CDO Text Resource'.
      Since:
        4.1
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### defaultCase

          public T defaultCase(EObject object)

      Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'EObject'.
      See Also:
        `doSwitch(org.eclipse.emf.ecore.EObject)`
      Generated

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html